Create chat response
curl --request POST \
--url https://api.caprioletech.com/v1/chat \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"model": "openai-latest",
"input": "Hello World!"
}
'import requests
url = "https://api.caprioletech.com/v1/chat"
payload = {
"model": "openai-latest",
"input": "Hello World!"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({model: 'openai-latest', input: 'Hello World!'})
};
fetch('https://api.caprioletech.com/v1/chat', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "49da8eb7-916b-43a3-ab02-442bc2841839",
"model": "openai/gpt-6-astra",
"result": {
"text": "Here is a short joke."
},
"usage": {
"input_tokens": 8,
"output_tokens": 6,
"total_tokens": 14,
"cached_tokens": 0,
"charged_tokens": 14
}
}
端点
Chat
使用模型创建文本响应。
POST
/
v1
/
chat
Create chat response
使用此端点向模型发送纯文本输入并接收纯文本响应。这个 Capriole 原生路由不支持流式输出。如果客户端需要 SSE 流,请使用 Chat Completions、Responses 或 Messages。
POST /v1/chat 接受 openai-latest、claude-latest、google-latest,以及 GET /v1/models 返回的公开具体模型 ID。使用 latest alias 可以让 Capriole AI 为对应提供商选择当前推荐的旗舰模型。需要固定模型版本时,请使用具体模型 ID。
GPT-6 Astra 在网页聊天中提供 Thinking(medium,默认选中)和 Fast(low)两档。两个 GPT-5.6 预设位于 Other Models。公开 API 使用 openai-latest 或 openai/gpt-6-astra,不接受网页专用 Thinking ID。这个原生 Chat 端点使用 Astra 的 low 预设;Responses 和 Chat Completions 原样转发调用者的思考参数。
Capriole AI 网页聊天和公开 API 是两个独立的产品界面。在网页聊天中,Fable 5.1 和 Fable 5.1 Thinking 是主要 Anthropic 模式,Fable 5、Fable 5 Thinking、Opus 5 和 Opus 5 Thinking 位于 Other Models。公开 API 不会把网页聊天的 Thinking 预设作为独立模型 ID 暴露。调用 Claude Chat API 时,请使用 claude-latest,或 anthropic/claude-fable-5-1、anthropic/claude-fable-5、anthropic/claude-opus-5、anthropic/claude-sonnet-4-6 等公开的具体 Claude 模型 ID。现有 Opus 4.8、Opus 4.7 和 Opus 4.6 集成仍受支持。授权
Use an API key created in the Capriole AI page. Send it as Authorization: Bearer sk-....
请求体
application/json
Public model identifier or latest alias returned by GET /v1/models
可用选项:
openai-latest, openai/gpt-6-astra, openai/gpt-5.6-terra, openai/gpt-5.6-luna, openai/gpt-5.5, openai/gpt-5.4-mini, claude-latest, anthropic/claude-fable-5-1, anthropic/claude-fable-5, anthropic/claude-opus-5, anthropic/claude-opus-4-8, anthropic/claude-opus-4-7, anthropic/claude-opus-4-6, anthropic/claude-sonnet-4-6, google-latest, google/gemini-3.1-pro-preview, google/gemini-3.8-flash, xai/grok-4.6, xai/grok-4.5, zai/glm-5.3-flash, zai/glm-5.2, moonshot/kimi-k3 Plain text user input
Enable provider-native web search when the selected model supports it.
Optional sampling temperature.
必填范围:
x >= 0Optional maximum number of output tokens.
Optional maximum number of provider retries.
必填范围:
x >= 0Optional provider request timeout in seconds.
最后修改于 2026年9月5日